## xinvaders 1.3

=== Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.51 89/12/12 12:37:30 jim Exp $
#
# The cpp used on this machine replaces all newlines and multiple tabs and
# spaces in a macro expansion with a single space.  Imake tries to compensate
# for this, but is not always successful.
#

###########################################################################
# Makefile generated from "Imake.tmpl" and <Imakefile>
# $XConsortium: Imake.tmpl,v 1.77 89/12/18 17:01:37 jim Exp $
#
# Platform-specific parameters may be set in the appropriate .cf
# configuration files.  Site-wide parameters may be set in the file
# site.def.  Full rebuilds are recommended if any parameters are changed.
#
# If your C preprocessor doesn't define any unique symbols, you'll need
# to set BOOTSTRAPCFLAGS when rebuilding imake (usually when doing
# "make Makefile", "make Makefiles", or "make World").
#
# If you absolutely can't get imake to work, you'll need to set the
# variables at the top of each Makefile as well as the dependencies at the
# bottom (makedepend will do this automatically).
#

###########################################################################
# platform-specific configuration parameters - edit sun.cf to change

# platform:  $XConsortium: sun.cf,v 1.38 89/12/23 16:10:10 jim Exp $
# operating system:  SunOS 4.1

###########################################################################
# site-specific configuration parameters - edit site.def to change

# site:  $XConsortium: site.def,v 1.21 89/12/06 11:46:50 jim Exp $

            SHELL = /bin/sh

              TOP = .
      CURRENT_DIR = .

               AR = ar cq
  BOOTSTRAPCFLAGS =
               CC = cc

         COMPRESS = compress
              CPP = /lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = cc -E $(STD_CPP_DEFINES)
          INSTALL = install
               LD = ld
             LINT = lint
      LINTLIBFLAG = -C
         LINTOPTS = -axz
               LN = ln -s
             MAKE = make
               MV = mv
               CP = cp
           RANLIB = ranlib
  RANLIBINSTFLAGS =
               RM = rm -f
     STD_INCLUDES =
  STD_CPP_DEFINES =
      STD_DEFINES =
 EXTRA_LOAD_FLAGS =
  EXTRA_LIBRARIES =
             TAGS = ctags

    SHAREDCODEDEF = -DSHAREDCODE
         SHLIBDEF = -DSUNSHLIB

    PROTO_DEFINES =

     INSTPGMFLAGS =

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4755
     INSTLIBFLAGS = -m 0664
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -m 4755

          DESTDIR = /tools/X11

     TOP_INCLUDES = -I$(INCROOT)

      CDEBUGFLAGS = -O
        CCOPTIONS =
      COMPATFLAGS =

      ALLINCLUDES = $(STD_INCLUDES) $(TOP_INCLUDES) $(INCLUDES) $(EXTRA_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(PROTO_DEFINES) $(DEFINES) $(COMPATFLAGS)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES)
           LDLIBS = $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS) -L/tools/X11/lib
   LDCOMBINEFLAGS = -X -r

        MACROFILE = sun.cf
           RM_CMD = $(RM) *.CKP *.ln *.BAK *.bak *.o core errs ,* *~ *.a .emacs_* tags TAGS make.log MakeOut

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/Imake.rules \
			$(IRULESRC)/Project.tmpl $(IRULESRC)/site.def \
			$(IRULESRC)/$(MACROFILE) $(EXTRA_ICONFIGFILES)

###########################################################################
# X Window System Build Parameters
# $XConsortium: Project.tmpl,v 1.63 89/12/18 16:46:44 jim Exp $

###########################################################################
# X Window System make variables; this need to be coordinated with rules
# $XConsortium: Project.tmpl,v 1.63 89/12/18 16:46:44 jim Exp $

          PATHSEP = /
        USRLIBDIR = /tools/X11/lib
           BINDIR = /tools/X11/bin
          INCROOT = /tools/X11/include
     BUILDINCROOT = $(TOP)
      BUILDINCDIR = $(BUILDINCROOT)/X11
      BUILDINCTOP = ..
           INCDIR = $(INCROOT)/X11
           ADMDIR = /usr/adm
           LIBDIR = /tools/X11/lib
        CONFIGDIR = $(LIBDIR)/config
       LINTLIBDIR = $(USRLIBDIR)/lint

          FONTDIR = $(LIBDIR)/fonts
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
           AWMDIR = $(LIBDIR)/awm
           TWMDIR = $(LIBDIR)/twm
           GWMDIR = $(LIBDIR)/gwm
          MANPATH = /tools/X11/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)l
        LIBMANDIR = $(MANSOURCEPATH)3
      XAPPLOADDIR = $(LIBDIR)/app-defaults

        SOXLIBREV = 4.2
          SOXTREV = 4.0
         SOXAWREV = 4.0
        SOOLDXREV = 4.0
         SOXMUREV = 4.0
        SOXEXTREV = 4.0

       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

            IMAKE = imake
           DEPEND = makedepend
              RGB = rgb
            FONTC = bdftosnf
        MKFONTDIR = mkfontdir
        MKDIRHIER = /bin/sh $(BINDIR)/mkdirhier.sh

        CONFIGSRC = $(TOP)/config
        CLIENTSRC = $(TOP)/clients
          DEMOSRC = $(TOP)/demos
           LIBSRC = $(TOP)/lib
          FONTSRC = $(TOP)/fonts
       INCLUDESRC = $(TOP)/X11
        SERVERSRC = $(TOP)/server
          UTILSRC = $(TOP)/util
        SCRIPTSRC = $(UTILSRC)/scripts
       EXAMPLESRC = $(TOP)/examples
       CONTRIBSRC = $(TOP)/../contrib
           DOCSRC = $(TOP)/doc
           RGBSRC = $(TOP)/rgb
        DEPENDSRC = $(UTILSRC)/makedepend
         IMAKESRC = $(CONFIGSRC)
         XAUTHSRC = $(LIBSRC)/Xau
          XLIBSRC = $(LIBSRC)/X
           XMUSRC = $(LIBSRC)/Xmu
       TOOLKITSRC = $(LIBSRC)/Xt
       AWIDGETSRC = $(LIBSRC)/Xaw
       OLDXLIBSRC = $(LIBSRC)/oldX
      XDMCPLIBSRC = $(LIBSRC)/Xdmcp
      BDFTOSNFSRC = $(FONTSRC)/bdftosnf
     MKFONTDIRSRC = $(FONTSRC)/mkfontdir
     EXTENSIONSRC = $(TOP)/extensions

  DEPEXTENSIONLIB = $(USRLIBDIR)/libXext.a
     EXTENSIONLIB =  -lXext

          DEPXLIB = $(DEPEXTENSIONLIB)
             XLIB = $(EXTENSIONLIB) -lX11

      DEPXAUTHLIB = $(USRLIBDIR)/libXau.a
         XAUTHLIB =  -lXau

        DEPXMULIB =
           XMULIB = -lXmu

       DEPOLDXLIB =
          OLDXLIB = -loldX

      DEPXTOOLLIB =
         XTOOLLIB = -lXt

        DEPXAWLIB =
           XAWLIB = -lXaw

 LINTEXTENSIONLIB = $(USRLIBDIR)/llib-lXext.ln
         LINTXLIB = $(USRLIBDIR)/llib-lX11.ln
          LINTXMU = $(USRLIBDIR)/llib-lXmu.ln
        LINTXTOOL = $(USRLIBDIR)/llib-lXt.ln
          LINTXAW = $(USRLIBDIR)/llib-lXaw.ln

        XWLIBSRC = $(CONTRIBSRC)/toolkits/Xw
        DEPXWLIB = $(USRLIBDIR)/libXw.a
        XWLIB =  -lXw

          DEPLIBS = $(DEPXAWLIB) $(DEPXMULIB) $(DEPXTOOLLIB) $(DEPXLIB)

         DEPLIBS1 = $(DEPLIBS)
         DEPLIBS2 = $(DEPLIBS)
         DEPLIBS3 = $(DEPLIBS)

###########################################################################
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $XConsortium: Imake.rules,v 1.67 89/12/18 17:14:15 jim Exp $

###########################################################################
# start of Imakefile

LOCAL_LIBRARIES = $(XAWLIB) $(XMULIB) $(XTOOLLIB) $(XLIB)

OBJS = spacers.o base.o widget.o main.o vaders.o shot.o score.o

SRCS = spacers.c base.c widget.c main.c vaders.c shot.c score.c

INCLUDES = -I$(TOP) -I$(TOP)/X11

 PROGRAM = xinvaders

all:: xinvaders

xinvaders: $(OBJS) $(DEPLIBS)
	$(RM) $@
	$(CC) -o $@ $(OBJS) $(LDOPTIONS) $(LOCAL_LIBRARIES) $(LDLIBS) $(EXTRA_LOAD_FLAGS)

saber_xinvaders:
	#load $(ALLDEFINES) $(SRCS) $(LOCAL_LIBRARIES) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

osaber_xinvaders:
	#load $(ALLDEFINES) $(OBJS) $(LOCAL_LIBRARIES) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

install:: xinvaders
	$(INSTALL) -c $(INSTPGMFLAGS)   xinvaders $(BINDIR)

install.man:: xinvaders.man
	$(INSTALL) -c $(INSTMANFLAGS) xinvaders.man $(MANDIR)/xinvaders.l

depend::
	$(DEPEND) -s "# DO NOT DELETE" -- $(ALLDEFINES) -- $(SRCS)

lint:
	$(LINT) $(LINTFLAGS) $(SRCS) $(LINTLIBS)
lint1:
	$(LINT) $(LINTFLAGS) $(FILE) $(LINTLIBS)

clean::
	$(RM) $(PROGRAM)

###########################################################################
# common rules for all Makefiles - do not edit

emptyrule::

clean::
	$(RM_CMD) \#*

Makefile::
	-@if [ -f Makefile ]; then \
	echo "	$(RM) Makefile.bak; $(MV) Makefile Makefile.bak"; \
	$(RM) Makefile.bak; $(MV) Makefile Makefile.bak; \
	else exit 0; fi
	$(IMAKE_CMD) -DTOPDIR=$(TOP) -DCURDIR=$(CURRENT_DIR)

tags::
	$(TAGS) -w *.[ch]
	$(TAGS) -xw *.[ch] > TAGS

saber:
	#load $(ALLDEFINES) $(SRCS)

osaber:
	#load $(ALLDEFINES) $(OBJS)

###########################################################################
# empty rules for directories that do not have SUBDIRS - do not edit

install::
	@echo "install in $(CURRENT_DIR) done"

install.man::
	@echo "install.man in $(CURRENT_DIR) done"

Makefiles::

includes::

###########################################################################
# dependencies generated by makedepend

# DO NOT DELETE

spacers.o: vaders.h /usr/include/stdio.h /usr/include/math.h
spacers.o: /usr/include/floatingpoint.h /usr/include/sys/ieeefp.h
spacers.o: /tools/X11/include/X11/Xlib.h /usr/include/sys/types.h
spacers.o: /usr/include/sys/stdtypes.h /usr/include/sys/sysmacros.h
spacers.o: /tools/X11/include/X11/X.h /tools/X11/include/X11/Xos.h
spacers.o: /usr/include/strings.h /usr/include/sys/file.h
spacers.o: /usr/include/sys/fcntlcom.h /usr/include/sys/stat.h
spacers.o: /usr/include/sys/time.h /usr/include/sys/time.h
spacers.o: /tools/X11/include/X11/Xutil.h /tools/X11/include/X11/cursorfont.h
spacers.o: /tools/X11/include/X11/IntrinsicP.h
spacers.o: /tools/X11/include/X11/Intrinsic.h
spacers.o: /tools/X11/include/X11/Xresource.h /tools/X11/include/X11/Core.h
spacers.o: /tools/X11/include/X11/Composite.h
spacers.o: /tools/X11/include/X11/Constraint.h
spacers.o: /tools/X11/include/X11/Object.h /tools/X11/include/X11/RectObj.h
spacers.o: /tools/X11/include/X11/CoreP.h /tools/X11/include/X11/CompositeP.h
spacers.o: /tools/X11/include/X11/ConstrainP.h
spacers.o: /tools/X11/include/X11/ObjectP.h /tools/X11/include/X11/RectObjP.h
spacers.o: /tools/X11/include/X11/StringDefs.h
base.o: vaders.h /usr/include/stdio.h /usr/include/math.h
base.o: /usr/include/floatingpoint.h /usr/include/sys/ieeefp.h
base.o: /tools/X11/include/X11/Xlib.h /usr/include/sys/types.h
base.o: /usr/include/sys/stdtypes.h /usr/include/sys/sysmacros.h
base.o: /tools/X11/include/X11/X.h /tools/X11/include/X11/Xos.h
base.o: /usr/include/strings.h /usr/include/sys/file.h
base.o: /usr/include/sys/fcntlcom.h /usr/include/sys/stat.h
base.o: /usr/include/sys/time.h /usr/include/sys/time.h
base.o: /tools/X11/include/X11/Xutil.h /tools/X11/include/X11/cursorfont.h
base.o: /tools/X11/include/X11/IntrinsicP.h
base.o: /tools/X11/include/X11/Intrinsic.h /tools/X11/include/X11/Xresource.h
base.o: /tools/X11/include/X11/Core.h /tools/X11/include/X11/Composite.h
base.o: /tools/X11/include/X11/Constraint.h /tools/X11/include/X11/Object.h
base.o: /tools/X11/include/X11/RectObj.h /tools/X11/include/X11/CoreP.h
base.o: /tools/X11/include/X11/CompositeP.h
base.o: /tools/X11/include/X11/ConstrainP.h /tools/X11/include/X11/ObjectP.h
base.o: /tools/X11/include/X11/RectObjP.h /tools/X11/include/X11/StringDefs.h
widget.o: vaders.h /usr/include/stdio.h /usr/include/math.h
widget.o: /usr/include/floatingpoint.h /usr/include/sys/ieeefp.h
widget.o: /tools/X11/include/X11/Xlib.h /usr/include/sys/types.h
widget.o: /usr/include/sys/stdtypes.h /usr/include/sys/sysmacros.h
widget.o: /tools/X11/include/X11/X.h /tools/X11/include/X11/Xos.h
widget.o: /usr/include/strings.h /usr/include/sys/file.h
widget.o: /usr/include/sys/fcntlcom.h /usr/include/sys/stat.h
widget.o: /usr/include/sys/time.h /usr/include/sys/time.h
widget.o: /tools/X11/include/X11/Xutil.h /tools/X11/include/X11/cursorfont.h

## xinvaders 2.0

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 # platform-specific configuration parameters - edit sun.cf to change
 
 # platform:  $XConsortium: sun.cf,v 1.38 89/12/23 16:10:10 jim Exp $
-# operating system:  SunOS 4.1
+# operating system:  SunOS 4.1.1
 
 ###########################################################################
 # site-specific configuration parameters - edit site.def to change
@@ -80,12 +80,12 @@
      INSTDATFLAGS = -m 0444
     INSTKMEMFLAGS = -m 4755
 
-          DESTDIR = /tools/X11
+          DESTDIR =
 
      TOP_INCLUDES = -I$(INCROOT)
 
       CDEBUGFLAGS = -O
-        CCOPTIONS =
+        CCOPTIONS = -pipe
       COMPATFLAGS =
 
       ALLINCLUDES = $(STD_INCLUDES) $(TOP_INCLUDES) $(INCLUDES) $(EXTRA_INCLUDES)
@@ -93,8 +93,7 @@
            CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(ALLDEFINES)
         LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES)
            LDLIBS = $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)
-
-        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS) -L/tools/X11/lib
+        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)
    LDCOMBINEFLAGS = -X -r
 
         MACROFILE = sun.cf
@@ -118,15 +117,15 @@
 # $XConsortium: Project.tmpl,v 1.63 89/12/18 16:46:44 jim Exp $
 
           PATHSEP = /
-        USRLIBDIR = /tools/X11/lib
-           BINDIR = /tools/X11/bin
-          INCROOT = /tools/X11/include
+        USRLIBDIR = $(DESTDIR)/usr/lib
+           BINDIR = $(DESTDIR)/usr/bin/X11
+          INCROOT = $(DESTDIR)/usr/include
      BUILDINCROOT = $(TOP)
       BUILDINCDIR = $(BUILDINCROOT)/X11
       BUILDINCTOP = ..
            INCDIR = $(INCROOT)/X11
-           ADMDIR = /usr/adm
-           LIBDIR = /tools/X11/lib
+           ADMDIR = $(DESTDIR)/usr/adm
+           LIBDIR = $(USRLIBDIR)/X11
         CONFIGDIR = $(LIBDIR)/config
        LINTLIBDIR = $(USRLIBDIR)/lint
 
@@ -136,9 +135,9 @@
            AWMDIR = $(LIBDIR)/awm
            TWMDIR = $(LIBDIR)/twm
            GWMDIR = $(LIBDIR)/gwm
-          MANPATH = /tools/X11/man
+          MANPATH = $(DESTDIR)/usr/man
     MANSOURCEPATH = $(MANPATH)/man
-           MANDIR = $(MANSOURCEPATH)l
+           MANDIR = $(MANSOURCEPATH)1
         LIBMANDIR = $(MANSOURCEPATH)3
       XAPPLOADDIR = $(LIBDIR)/app-defaults
 
@@ -207,16 +206,15 @@
         DEPXAWLIB =
            XAWLIB = -lXaw
 
+      DEPXDMCPLIB = $(USRLIBDIR)/libXdmcp.a
+         XDMCPLIB =  -lXdmcp
+
  LINTEXTENSIONLIB = $(USRLIBDIR)/llib-lXext.ln
          LINTXLIB = $(USRLIBDIR)/llib-lX11.ln
           LINTXMU = $(USRLIBDIR)/llib-lXmu.ln
         LINTXTOOL = $(USRLIBDIR)/llib-lXt.ln
           LINTXAW = $(USRLIBDIR)/llib-lXaw.ln
 
-        XWLIBSRC = $(CONTRIBSRC)/toolkits/Xw
-        DEPXWLIB = $(USRLIBDIR)/libXw.a
-        XWLIB =  -lXw
-
           DEPLIBS = $(DEPXAWLIB) $(DEPXMULIB) $(DEPXTOOLLIB) $(DEPXLIB)
 
          DEPLIBS1 = $(DEPLIBS)
@@ -256,7 +254,7 @@
 	$(INSTALL) -c $(INSTPGMFLAGS)   xinvaders $(BINDIR)
 
 install.man:: xinvaders.man
-	$(INSTALL) -c $(INSTMANFLAGS) xinvaders.man $(MANDIR)/xinvaders.l
+	$(INSTALL) -c $(INSTMANFLAGS) xinvaders.man $(MANDIR)/xinvaders.1
 
 depend::
 	$(DEPEND) -s "# DO NOT DELETE" -- $(ALLDEFINES) -- $(SRCS)
@@ -310,50 +308,3 @@
 ###########################################################################
 # dependencies generated by makedepend
 
-# DO NOT DELETE
-
-spacers.o: vaders.h /usr/include/stdio.h /usr/include/math.h
-spacers.o: /usr/include/floatingpoint.h /usr/include/sys/ieeefp.h
-spacers.o: /tools/X11/include/X11/Xlib.h /usr/include/sys/types.h
-spacers.o: /usr/include/sys/stdtypes.h /usr/include/sys/sysmacros.h
-spacers.o: /tools/X11/include/X11/X.h /tools/X11/include/X11/Xos.h
-spacers.o: /usr/include/strings.h /usr/include/sys/file.h
-spacers.o: /usr/include/sys/fcntlcom.h /usr/include/sys/stat.h
-spacers.o: /usr/include/sys/time.h /usr/include/sys/time.h
-spacers.o: /tools/X11/include/X11/Xutil.h /tools/X11/include/X11/cursorfont.h
-spacers.o: /tools/X11/include/X11/IntrinsicP.h
-spacers.o: /tools/X11/include/X11/Intrinsic.h
-spacers.o: /tools/X11/include/X11/Xresource.h /tools/X11/include/X11/Core.h
-spacers.o: /tools/X11/include/X11/Composite.h
-spacers.o: /tools/X11/include/X11/Constraint.h
-spacers.o: /tools/X11/include/X11/Object.h /tools/X11/include/X11/RectObj.h
-spacers.o: /tools/X11/include/X11/CoreP.h /tools/X11/include/X11/CompositeP.h
-spacers.o: /tools/X11/include/X11/ConstrainP.h
-spacers.o: /tools/X11/include/X11/ObjectP.h /tools/X11/include/X11/RectObjP.h
-spacers.o: /tools/X11/include/X11/StringDefs.h
-base.o: vaders.h /usr/include/stdio.h /usr/include/math.h
-base.o: /usr/include/floatingpoint.h /usr/include/sys/ieeefp.h
-base.o: /tools/X11/include/X11/Xlib.h /usr/include/sys/types.h
-base.o: /usr/include/sys/stdtypes.h /usr/include/sys/sysmacros.h
-base.o: /tools/X11/include/X11/X.h /tools/X11/include/X11/Xos.h
-base.o: /usr/include/strings.h /usr/include/sys/file.h
-base.o: /usr/include/sys/fcntlcom.h /usr/include/sys/stat.h
-base.o: /usr/include/sys/time.h /usr/include/sys/time.h
-base.o: /tools/X11/include/X11/Xutil.h /tools/X11/include/X11/cursorfont.h
-base.o: /tools/X11/include/X11/IntrinsicP.h
-base.o: /tools/X11/include/X11/Intrinsic.h /tools/X11/include/X11/Xresource.h
-base.o: /tools/X11/include/X11/Core.h /tools/X11/include/X11/Composite.h
-base.o: /tools/X11/include/X11/Constraint.h /tools/X11/include/X11/Object.h
-base.o: /tools/X11/include/X11/RectObj.h /tools/X11/include/X11/CoreP.h
-base.o: /tools/X11/include/X11/CompositeP.h
-base.o: /tools/X11/include/X11/ConstrainP.h /tools/X11/include/X11/ObjectP.h
-base.o: /tools/X11/include/X11/RectObjP.h /tools/X11/include/X11/StringDefs.h
-widget.o: vaders.h /usr/include/stdio.h /usr/include/math.h
-widget.o: /usr/include/floatingpoint.h /usr/include/sys/ieeefp.h
-widget.o: /tools/X11/include/X11/Xlib.h /usr/include/sys/types.h
-widget.o: /usr/include/sys/stdtypes.h /usr/include/sys/sysmacros.h
-widget.o: /tools/X11/include/X11/X.h /tools/X11/include/X11/Xos.h
-widget.o: /usr/include/strings.h /usr/include/sys/file.h
-widget.o: /usr/include/sys/fcntlcom.h /usr/include/sys/stat.h
-widget.o: /usr/include/sys/time.h /usr/include/sys/time.h
-widget.o: /tools/X11/include/X11/Xutil.h /tools/X11/include/X11/cursorfont.h

## xinvaders 2.1.2

=== debian/changelog ===
xinvaders (2.1.2) unstable; urgency=low

  * Built with newer libraries.
  * It now uses /etc/X11/app-defaults for the resource file.

 -- Nicols Lichtmaier <nick@debian.org>  Wed, 27 Dec 2000 00:09:48 -0300

xinvaders (2.1.1) unstable; urgency=low

  * Uploaded to Debian as a native package.
  * Removed call to dh_clean from main Makefile.
  * Remove .deps directory in debian/rules clean.
  * Added configure option to specify scorefile and to disable
    high scores saving.
  * Improved `make install' for non-debian users.

 -- Nicols Lichtmaier <nick@debian.org>  Sat, 16 Sep 2000 17:28:41 -0300

xinvaders (2.1) unstable; urgency=low

  * Uploaded to sunsite so others can also use this version of XInvaders.
  * Added configure support.

 -- Nicols Lichtmaier <nick@debian.org>  Sat,  9 Sep 2000 17:31:52 -0300

xinvaders (2.0-13) unstable; urgency=low

  * Improved menu icon, made it more standard.
  * Updated debian/shlibs.local to get clean dependencies.
  * Added note to README.Debian about xinvaders non-free status.

 -- Nicols Lichtmaier <nick@debian.org>  Sat,  9 Sep 2000 17:31:52 -0300

xinvaders (2.0-12) unstable; urgency=low

  * Added /var/lib/games to the package (closes:Bug#49018).
  * Removed some comments from the XPM pixmap file that prevented
    some programs of handling it well (closes:Bug#51113).
  * Patch from Kevin Ryde <user42@zip.com.au> to fix the bug that
    made xinvaders ignore keypresses if the mouse wasn't in the window
    (closes:Bug#50988).
  * Added `Build-Depends: xlib6g-dev'.
  * Changed `Standards-Version' to 3.1.1.

 -- Nicols Lichtmaier <nick@debian.org>  Sun, 12 Dec 1999 18:17:12 -0300

xinvaders (2.0-11.1) unstable; urgency=low

  * NMU Upload (closes: #49018,#49020)

 -- Nicholas Flintham <nick@flinny.demon.co.uk>  Sun, 28 Nov 1999 15:06:14 +0000

xinvaders (2.0-11) unstable; urgency=low

  * Moved docs under /usr/share.
  * Upodated `Standards-Version' to 3.0.1.
  * Removed one compilation warning (new GCC...).
  * Added kludge debian/shlibs.local to avoid double dependency (due to
    nextawg).
  * Added -O2 flag to gcc.

 -- Nicols Lichtmaier <nick@debian.org>  Sun, 10 Oct 1999 18:39:45 -0300

xinvaders (2.0-10) frozen unstable; urgency=low

  * Fixed menu file.
  * Fixed manpage permissions.
  * Stripped unneeded sections from executable.
  * Fixed paths according to newest Debian standards. Changed
    Standards-Version to 2.5.0.
  * Adapted to build without root access.
  * Switched to debhelper.
  * Copied sell restriction from README to copyright. Fixes bug #17273.
  * Changed maintainer's address.
  * Added note to README.Debian about the added capability of saving
    hiscores.

 -- Nicols Lichtmaier <nick@debian.org>  Sat,  6 Feb 1999 18:10:41 -0300

xinvaders (2.0-9) frozen unstable; urgency=low

  * Fixed postinst, fixes bug #15218.
  * Updated maintainer address.
  * Moved to non-free, fixes bug #17273.

 -- Nicols Lichtmaier <nick@feedback.net.ar>  Fri,  3 Apr 1998 19:14:13 -0300

xinvaders (2.0-8) unstable; urgency=low

  * Uses libc6 gettext functions.
  * Keep files' date.
  * Built with libc6's xlib6, fixes bugs #11958, and #12804.
  * Changed maintainer address.

 -- Nicols Lichtmaier <nick@feedback.net.ar>  Tue,  9 Sep 1997 02:22:17 -0300

xinvaders (2.0-7) unstable; urgency=low

  * Changed `Standards-Version' to 2.2.0.0.
  * Changed to use new menu file format.
  * Built with libc6.

 -- Nicols Lichtmaier <nick@feedback.com.ar>  Wed, 16 Jul 1997 17:58:47 -0300

xinvaders (2.0-6) unstable; urgency=low

  * Fixed highscore saving. First user who played was able to change the
    highscore =).

 -- Nicols Lichtmaier <nick@feedback.com.ar>  Thu, 27 Feb 1997 00:37:10 -0300

xinvaders (2.0-5) unstable; urgency=low

  * Added highscore saving (made executable setgid games).

 -- Nicols Lichtmaier <nick@feedback.com.ar>  Wed, 26 Feb 1997 20:14:07 -0300

xinvaders (2.0-4) unstable; urgency=low

  * Cleaned lots of warnings compiling with -Wall.
  * Added a little image to the package menu.
  * Corrected my name.. =)

 -- Nicols Lichtmaier <nick@feedback.com.ar>  Sun, 23 Feb 1997 20:30:08 -0300

xinvaders (2.0-3) unstable; urgency=low

  * Enlarged font by setting a resource.
  * Internationalized with gettext, and localized for Spanish. File
    xinvaders.pot included so that users can localize Xinvaders for
    their language. TODO: Handle the internationalization with the
    Makefile (I'll probably wait auntil dpkg-source can handle subdirs).

 -- Nicolas Lichtmaier <nick@feedback.com.ar>  Wed, 19 Feb 1997 21:44:58 -0300

xinvaders (2.0-2) unstable; urgency=low

  * Compiled with new xlib6-dev (fixes Bug #7025). It can use Xaw
    replacements.

 -- Nicolas Lichtmaier <nick@feedback.com.ar>  Sun, 2 Feb 1997 00:05:15 -0300

xinvaders (2.0-1) unstable; urgency=low

  * Upstream changelog included.
  * New upstream version.
  * New maintainer.

 -- Nicolas Lichtmaier <nick@feedback.com.ar>  Wed, 29 Jan 1997 17:17:41 -0300

xinvaders (1.3-6) unstable; urgency=routine

  * Previous version made xinvaders dependant on nextaw. Removed that
    dependancy.
  * Fixed problem with app-defaults file that was keeping it from finding
    its libs.

 -- Joey Hess <joeyh@master.debian.org>  Mon, 13 Jan 1997 01:21:10 -0500

xinvaders (1.3-5) unstable; urgency=low

  * Previous version incorrectly put files in /usr/lib/X11, corrected this.
  * Moved libs into /usr/X11R6/lib/X11/xinvaders.
  * Moved menu entry to /Games/Arcade.
  * Routine update of debian/rules:
    Use build-stamp instead of build.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 9 Jan 1997 15:10:14 -0500

xinvaders (1.3-4) unstable; urgency=low

  * Added a menu-file.
  * Routine update of debian/rules:
    New email address.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 17 Dec 1996 14:40:01 -0500

xinvaders (1.3-3) unstable; urgency=low

  * New maintainer: Joey Hess <joeyh@master.debian.org>.
  * Updated to new package format.
  * Now registers itself via install-fvwm2menu


=== debian/control ===
Source: xinvaders
Build-Depends: xlib6g-dev
Section: non-free/games
Priority: optional
Maintainer: Nicols Lichtmaier <nick@debian.org>
Standards-Version: 3.1.1

Package: xinvaders
Architecture: any
Depends: ${shlibs:Depends}
Description: Space Invaders game for X
 xinvaders is an implementation of the classic Space Invaders game,
 on top of the X11 window system.

=== debian/rules ===
#!/usr/bin/make -f

package=xinvaders
docs=README po/xinvaders.pot
copyright=debian/copyright

Makefile:
	./configure --prefix=/usr '--mandir=$${datadir}/man' \
		--enable-scorefile=/var/lib/games/xinvaders

build-stamp: Makefile
	dh_testdir widget.c
	make
	touch build-stamp

build: build-stamp

clean: Makefile
	dh_testdir widget.c
	rm -f build-stamp
	test -r Makefile && make distclean
	rm -rf *~ debian/*~ debian/files* $(clean_files) .deps xinvaders-2.*.tar.gz
	$(clean_tmp)
	rm -f makefile-stamp
	dh_clean

# Build architecture-independent files here.
# (not yet set up to be used)
binary-indep: build
	dh_testdir widget.c

# Build architecture-dependent files here.
binary-arch: build
	dh_testroot
	dh_testdir widget.c
	rm -rf debian/tmp
	install -d debian/tmp/usr/games debian/tmp/usr/share/man/man6
	$(MAKE) DESTDIR=$(shell pwd)/debian/tmp install
	chown root:games debian/tmp/usr/games/xinvaders
	chmod g+s debian/tmp/usr/games/xinvaders
	install -d debian/tmp/etc/X11/app-defaults
	install -d debian/tmp/var/lib/games
	install -p -m0644 Vaders debian/tmp/etc/X11/app-defaults/
	install -p -d debian/tmp/usr/X11R6/include/X11/pixmaps
	install -p -m0644 icon.xpm debian/tmp/usr/X11R6/include/X11/pixmaps/xinvaders.xpm
	rm -f debian/tmp/var/lib/games/xinvaders
	dh_installdirs
	dh_installdocs $(docs)
	dh_installchangelogs
	dh_installmenu
	dh_installmanpages
	dh_strip
	dh_compress
	dh_suidregister /usr/games/xinvaders
	dh_fixperms
	dh_shlibdeps
	dh_gencontrol
	dh_installdeb
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: clean binary
